<?php

namespace App\Filament\Resources\Master\Departments\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class DepartmentForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('name')
                    ->label('Nama OPD')
                    ->placeholder('Dinas Komunikasi dan Informatika')
                    ->autocomplete(false)
                    ->autofocus()
                    ->required()
                    ->maxLength(100),

                TextInput::make('alias')
                    ->label('Alias')
                    ->placeholder('Diskominfo')
                    ->autocomplete(false)
                    ->required()
                    ->maxLength(20),
            ])
            ->columns(1);
    }
}
